import  { select, range } from 'd3';
import { fruitBowl } from "./fruitBowl";

const svg = select("svg");

const makeFruit = type => ({ 
  type,
  id: Math.random()
});

const fruits = range(5)
	.map(() => makeFruit("apple"))

let selectedFruit = null;
const setSelectedFruit = id => {
  selectedFruit = id;
  render();
}
const render = () => fruitBowl(svg, { 
  fruits, 
  height: +svg.attr("height"), 
  setSelectedFruit,
  selectedFruit
});

render()
setTimeout(() => {
  fruits[2].type = "orange"
  render()
}, 2000);

setTimeout(() => {
  fruits.pop()
  render()
}, 4000);

setTimeout(() => {
  fruits.shift()
  render()
}, 6000);

setTimeout(() => {
  fruits.unshift(makeFruit("lemon"))
  render()
}, 8000); 
